#   begin_generated_IBM_prolog
#
#   prolog.pro.samp.telcosp
#   ******************************************************************
#   IBM Sample Source Materials
#
#   Sample source materials are supplied As-Is.
#   No warranty is expressed or implied.
#
#   Product(s): 5724-O05 soa
#
#   (C)Copyright IBM Corp. 2007, 2008
#
#   The source code for this program supplied under the terms of the
#   End User License Agreement (EULA) that accompanied this product.
#   ******************************************************************
#
#   end_generated_IBM_prolog

import sys.argv
import getopt
from com.ibm.twss.spm.admin.common import ScopedPolicy
from com.ibm.twss.spm.admin.common import PolicyValue
from java.util import Properties

from pytwss.mbean import spm_init, mbean_utils
from pytwss.utils import _, log

NM_SERVICE = 'http://www.csapi.org/wsdl/parlayx/multimedia_messaging/notification_manager/v2_5/interface'
SD_SERVICE = 'http://www.csapi.org/wsdl/parlayx/multimedia_messaging/send/v2_4/interface'
RC_SERVICE = 'http://www.csapi.org/wsdl/parlayx/multimedia_messaging/receive/v2_4/interface'
NI_SERVICE = 'http://www.csapi.org/wsdl/parlayx/multimedia_messaging/notification/v2_4/interface'
SVC_GROUP = 'Multimedia Messaging'
SERVICE_IMPL = 'PX21_MM_MM7'
NM_IMPL = 'PX21_MM_MM7_NM'
SD_IMPL = 'PX21_MM_MM7_SD'
RC_IMPL = 'PX21_MM_MM7_RC'
NI_IMPL = 'PX21_MM_MM7_NI'

def configurePolicies(response_properties, deploy_info):
	req_scope = 'ALL'
	svc_scope = SVC_GROUP
	op_scope = 'ALL'

	log(_("SOAC7520I") %{ '1' : SERVICE_IMPL })

	svc_admin = spm_init.ServiceAdministration()
	policy_admin = spm_init.PolicyAdministration()

	spm_init.registerServiceImplementation(
		svc_admin, NM_SERVICE, NM_IMPL, 1,
		'Parlay X 2.1 Multimedia Messaging Notification Management MM7 Service')
	spm_init.registerServiceImplementation(
		svc_admin, SD_SERVICE, SD_IMPL, 1,
		'Parlay X 2.1 Multimedia Messaging Send MM7 Service')
	spm_init.registerServiceImplementation(
		svc_admin, RC_SERVICE, RC_IMPL, 1,
		'Parlay X 2.1 Multimedia Messaging Receive MM7 Service')
	spm_init.registerServiceImplementation(
		svc_admin, NI_SERVICE, NI_IMPL, 1,
		'Parlay X 2.1 Multimedia Messaging Notification MM7 Service')

        sp_root_url = response_properties.get("ServicePlatformRootURL")

	policies = [
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.messaging.ConfirmDelivery',
			value=PolicyValue(
				value='false',
				type='Boolean'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.standard.ChargingSupported',
			value=PolicyValue(
				value='false',
				type='Boolean'
			)
		),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=svc_scope,
		#	operation=op_scope,
		#	name='service.common.Target.Aliases',
		#	value=PolicyValue(
		#		value='<somevalue>',
		#		type='String'
		#	)
		#),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.custom.PriorityEnabled',
			value=PolicyValue(
				value='false',
				type='Boolean'
			)
		),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=svc_scope,
		#	operation=op_scope,
		#	name='service.custom.RequestPriority',
		#	value=PolicyValue(
		#		value='<somevalue>',
		#		type='Numeric'
		#	)
		#),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=svc_scope,
		#	operation=op_scope,
		#	name='service.custom.Priority',
		#	value=PolicyValue(
		#		value='<somevalue>',
		#		type='String'
		#	)
		#),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.custom.ChargeClassEnabled',
			value=PolicyValue(
				value='false',
				type='Boolean'
			)
		),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=svc_scope,
		#	operation=op_scope,
		#	name='service.custom.ChargeClass',
		#	value=PolicyValue(
		#		value='<somevalue>',
		#		type='String'
		#	)
		#),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.ReceivedRetainTime', # time to keep received messages
			value=PolicyValue(
				value='43200', # Minutes in 30 days
				type='Numeric'
			)
		),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=svc_scope,
		#	operation=op_scope,
		#	name='service.config.ProcessUpToLimit',
		#	value=PolicyValue(
		#		value='true', 
		#		type='Boolean'
		#	)
		#),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=svc_scope,
		#	operation=op_scope,
		#	name='service.config.MaximumTargets',
		#	value=PolicyValue(
		#		value='5', 
		#		type='Numeric'
		#	)
		#),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=svc_scope,
		#	operation=op_scope,
		#	name='service.config.target.Ranges',
		#	value=PolicyValue(
		#		value='<range of addresses>', 
		#		type='String'
		#	)
		#),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=svc_scope,
		#	operation=op_scope,
		#	name='service.config.StatusRetainTime',
		#	value=PolicyValue(
		#		value='43200', # Minutes in 30 days
		#		type='Numeric'
		#	)
		#),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=svc_scope,
		#	operation=op_scope,
		#	name='service.custom.PriorityEnabled',
		#	value=PolicyValue(
		#		value='false',
		#		type='Boolean'
		#	)
		#),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=svc_scope,
		#	operation=op_scope,
		#	name='service.common.NetworkMapper.endpoint',
		#	value=PolicyValue(
		#		value='http://<host>:<port>/CommMdsWeb/services/NetworkMapperBean'
		#		type='String'
		#	)
		#),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation=op_scope,
			name='service.Endpoint',
			value=PolicyValue(
				value=sp_root_url + "/TWSS/ParlayX21/MultimediaMessaging/MM7/services/MessageNotificationManager",
 				type='String'            
			),
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=SD_IMPL,
			operation=op_scope,
			name='service.Endpoint',
			value=PolicyValue(
				value=sp_root_url + "/TWSS/ParlayX21/MultimediaMessaging/MM7/services/SendMessage",
				type='String'
			),
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=RC_IMPL,
			operation=op_scope,
			name='service.Endpoint',
			value=PolicyValue(
				value=sp_root_url + "/TWSS/ParlayX21/MultimediaMessaging/MM7/services/ReceiveMessage",
				type='String'
			),
		),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=NI_IMPL,
		#	operation=op_scope,
		#	name='service.Endpoint',
		#	value=PolicyValue(
		#		value=sp_root_url + "/TWSS/ParlayX21/MultimediaMessaging/MM7/services/MessageNotification",
		#		type='String'
		#	),
		#),
	]
	spm_init.createPolicies(policy_admin, policies)
	log(_("SOAC7521I") %{ '1' : SERVICE_IMPL })
        
        return "SUCCESS"

if __name__ == 'main':
   if len(sys.argv) > 0:
      sp_path = sys.argv[0]
   else:
      sp_path = "http://localhost:9080/"
   p = Properties()
   p.put("ServicePlatformRootURL", sp_path)
   configurePolicies(p, None)
