#   begin_generated_IBM_prolog
#
#   prolog.pro.samp.telcosp
#   ******************************************************************
#   IBM Sample Source Materials
#
#   Sample source materials are supplied As-Is.
#   No warranty is expressed or implied.
#
#   Product(s): 5724-O05 soa
#
#   (C)Copyright IBM Corp. 2006, 2008
#
#   The source code for this program supplied under the terms of the
#   End User License Agreement (EULA) that accompanied this product.
#   ******************************************************************
#
#   end_generated_IBM_prolog

import sys.argv
import getopt
from com.ibm.twss.spm.admin.common import ScopedPolicy
from com.ibm.twss.spm.admin.common import PolicyValue
from java.util import Properties

from pytwss.mbean import spm_init, mbean_utils
from pytwss.utils import _, log

CI_SERVICE = 'http://www.csapi.org/wsdl/parlayx/presence/consumer/v2_3/interface'
NI_SERVICE = 'http://www.csapi.org/wsdl/parlayx/presence/notification/v2_3/interface'
SI_SERVICE = 'http://www.csapi.org/wsdl/parlayx/presence/supplier/v2_3/interface'
SVC_GROUP = 'Presence'
SERVICE_IMPL = 'PX21_PRS_IMS'
CI_IMPL = 'PX21_PRS_IMS_CI'
NI_IMPL = 'PX21_PRS_IMS_NI'
SI_IMPL = 'PX21_PRS_IMS_SI'

def configurePolicies(response_properties, deploy_info):
	req_scope = 'ALL'
	svc_scope = SVC_GROUP
	op_scope = 'ALL'

	log(_("SOAC7520I") %{ '1' : SERVICE_IMPL })

	svc_admin = spm_init.ServiceAdministration()
	policy_admin = spm_init.PolicyAdministration()

	spm_init.registerServiceImplementation(
		svc_admin, CI_SERVICE, CI_IMPL, 1,
		'Parlay X 2.1 Presence Consumer IMS Service')
	spm_init.registerServiceImplementation(
		svc_admin, NI_SERVICE, NI_IMPL, 1,
		'Parlay X 2.1 Presence Notification IMS Service')
	spm_init.registerServiceImplementation(
		svc_admin, SI_SERVICE, SI_IMPL, 1,
		'Parlay X 2.1 Presence Supplier IMS Service')

        sp_root_url = response_properties.get("ServicePlatformRootURL")

	policies = [
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.ServiceImplementationName',
			value=PolicyValue(
				value='PX21_PRS_IMS',
				type='String'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.service.config.presence.PresenceFetchTimeoutInMillis',
			value=PolicyValue(
				value='1000',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.service.config.presence.SubscribePresenceTimeout',
			value=PolicyValue(
				value='86400000', # 24 hours
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.standard.MaximumNotificationFrequency',
			value=PolicyValue(
				value='1',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.standard.MaximumNotificationDuration',
			value=PolicyValue(
				value='9223372036854775807', # Java Integer.MAX_LONG
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.DefaultNotificationDuration',
			value=PolicyValue(
				value='86400000', # 24 hours
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.standard.MaximumCount',
			value=PolicyValue(
				value='2147483647', # Java Integer.MAX_INTEGER
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.standard.UnlimitedCountAllowed',
			value=PolicyValue(
				value='true',
				type='Boolean'
			)
		),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=svc_scope,
		#	operation=op_scope,
		#	name='service.config.ims.InterOperatorIdentifier',
		#	value=PolicyValue(
		#		value='', # No-op value for IOI
		#		type='String'
		#	)
		#),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.AdditionalGroupURISchemes',
			value=PolicyValue(
				value='glmgroup',
				type='String'
			)
		),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=svc_scope,
		#	operation=op_scope,
		#	name='service.config.presence.PresenceServerSIPURI',
		#	value=PolicyValue(
		#		value='<someval>',
		#		type='String'
		#	)
		#),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=svc_scope,
		#	operation=op_scope,
		#	name='service.config.presence.PresenceServerResourceName',
		#	value=PolicyValue(
		#		value='<someval>',
		#		type='String'
		#	)
		#),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=CI_IMPL,
			operation=op_scope,
			name='service.Endpoint',
			value=PolicyValue(
				value=sp_root_url + "/TWSS/ParlayX21/Presence/IMS/services/PresenceConsumer",
				type='String'
			),
		),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=NI_IMPL,
		#	operation=op_scope,
		#	name='service.Endpoint',
		#	value=PolicyValue(
		#		value=sp_root_url + "/TWSS/ParlayX21/Presence/IMS/services/PresenceNotification",
		#		type='String'
		#	),
		#),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=SI_IMPL,
			operation=op_scope,
			name='service.Endpoint',
			value=PolicyValue(
				value=sp_root_url + "/TWSS/ParlayX21/Presence/IMS/services/PresenceSupplier",
				type='String'
			),
		),
	]
	spm_init.createPolicies(policy_admin, policies)
	log(_("SOAC7521I") %{ '1' : SERVICE_IMPL })
        
        return "SUCCESS"

if __name__ == 'main':
   if len(sys.argv) > 0:
      sp_path = sys.argv[0]
   else:
      sp_path = "http://localhost:9080/"
   p = Properties()
   p.put("ServicePlatformRootURL", sp_path)
   configurePolicies(p, None)
