#   begin_generated_IBM_prolog
#
#   prolog.pro.samp.telcosp
#   ******************************************************************
#   IBM Sample Source Materials
#
#   Sample source materials are supplied As-Is.
#   No warranty is expressed or implied.
#
#   Product(s): 5724-O05 soa
#
#   (C)Copyright IBM Corp. 2000, 2006
#
#   The source code for this program supplied under the terms of the
#   End User License Agreement (EULA) that accompanied this product.
#   ******************************************************************
#
#   end_generated_IBM_prolog

import sys.argv
import getopt

from pytwss.mbean import spm_init
from pytwss.utils import _, log
from pytwss.mbean.spm_init import SERVICE, SERVICE_GROUP

def configurePolicies():
	svc_admin = spm_init.ServiceAdministration()

	# Initialize WAP Push
	spm_init.createService(svc_admin, 'WAP Push',
		'ALL', 1, 'WAP Push', SERVICE_GROUP)
	spm_init.createService(svc_admin,
		'http://www.ibm.com/wsdl/wappush/send/v1_0/interface',
		'WAP Push', 1, 'WAP Push Send Service', SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.ibm.com/wsdl/wappush/send/v1_0/interface',
		'sendWAPPushSI', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.ibm.com/wsdl/wappush/send/v1_0/interface',
		'sendWAPPushSL', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.ibm.com/wsdl/wappush/send/v1_0/interface',
		'sendWAPPushCO', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.ibm.com/wsdl/wappush/send/v1_0/interface',
		'getWAPPushDeliveryStatus', 1, '')
	spm_init.createService(svc_admin,
		'http://www.ibm.com/wsdl/wappush/notification/v1_0/interface',
		'WAP Push', 1, 'WAP Push Notification Service', SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.ibm.com/wsdl/wappush/notification/v1_0/interface',
		'notifyWAPPushDeliveryReceipt', 1, '')

	# Initialize Parlay X
	spm_init.createService(svc_admin, 'Parlay X', 'ALL', 1,
		'Parlay X Services', SERVICE_GROUP)

	# Initialize Third Party Call
	spm_init.createService(svc_admin, 'Third Party Call',
		'Parlay X', 1, 'Parlay X Third Party Call', SERVICE_GROUP)
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/third_party_call/v2_3/interface',
		'Third Party Call', 1, 'Parlay X Third Party Call Service',
		SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/third_party_call/v2_3/interface',
		'makeCall', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/third_party_call/v2_3/interface',
		'getCallInformation', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/third_party_call/v2_3/interface',
		'endCall', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/third_party_call/v2_3/interface',
		'cancelCallRequest', 1, '')

	# Initialize Call Notification
	spm_init.createService(svc_admin, 'Call Notification',
		'Parlay X', 1, 'Parlay X Call Notification', SERVICE_GROUP)
	spm_init.createService(svc_admin,
	   'http://www.csapi.org/wsdl/parlayx/call_notification/v2_2/interface',
	   'Call Notification', 1, 'Parlay X Call Notification Notification Service',
	   SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_notification/v2_2/interface',
		'notifyBusy', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_notification/v2_2/interface',
		'notifyNotReachable', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_notification/v2_2/interface',
		'notifyNoAnswer', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_notification/v2_2/interface',
		'notifyCalledNumber', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_notification/notification_manager/v2_3/interface',
		'Call Notification', 1, 'Parlay X Call Notification Notification Management Service',
		SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_notification/notification_manager/v2_3/interface',
		'startCallNotification', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_notification/notification_manager/v2_3/interface',
		'stopCallNotification', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_direction/v2_2/interface',
		'Call Notification', 1, 'Parlay X Call Direction Notification Service',
		SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_direction/v2_2/interface',
		'handleBusy', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_direction/v2_2/interface',
		'handleNotReachable', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_direction/v2_2/interface',
		'handleNoAnswer', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_direction/v2_2/interface',
		'handleCalledNumber', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_direction/notification_manager/v2_3/interface',
		'Call Notification', 1, 'Parlay X Call Direction Notification Management Service',
		SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_direction/notification_manager/v2_3/interface',
		'startCallDirectionNotification', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_direction/notification_manager/v2_3/interface',
		'stopCallDirectionNotification', 1, '')

	# Initialize Short Messaging
	spm_init.createService(svc_admin, 'Short Messaging',
		'Parlay X', 1, 'Parlay X Short Messaging', SERVICE_GROUP)
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/sms/notification_manager/v2_3/interface',
		'Short Messaging', 1, 'Parlay X Short Messaging Notification Management Service',
		SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/sms/notification_manager/v2_3/interface',
		'startSmsNotification', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/sms/notification_manager/v2_3/interface',
		'stopSmsNotification', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/sms/send/v2_2/interface',
		'Short Messaging', 1, 'Parlay X Short Messaging Send Service', SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/sms/send/v2_2/interface',
		'sendSms', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/sms/send/v2_2/interface',
		'sendSmsLogo', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/sms/send/v2_2/interface',
		'sendSmsRingtone', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/sms/send/v2_2/interface',
		'getSmsDeliveryStatus', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/sms/receive/v2_2/interface',
		'Short Messaging', 1, 'Parlay X Short Messaging Receive Service',
		SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/sms/receive/v2_2/interface',
		'getReceivedSms', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/sms/notification/v2_2/interface',
		'Short Messaging', 1, 'Parlay X Short Messaging Notification Service',
		SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/sms/notification/v2_2/interface',
		'notifySmsReception', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/sms/notification/v2_2/interface',
		'notifySmsDeliveryReceipt', 1, '')

	# Initialize Multimedia Messaging
	spm_init.createService(svc_admin, 'Multimedia Messaging',
		'Parlay X', 1, 'Parlay X Multimedia Messaging', SERVICE_GROUP)
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_messaging/notification_manager/v2_5/interface',
		'Multimedia Messaging', 1, 'Parlay X Multimedia Messaging Notification Management Service',
		SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_messaging/notification_manager/v2_5/interface',
		'startMessageNotification', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_messaging/notification_manager/v2_5/interface',
		'stopMessageNotification', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_messaging/send/v2_4/interface',
		'Multimedia Messaging', 1, 'Parlay X Multimedia Messaging Send Service',
		SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_messaging/send/v2_4/interface',
		'sendMessage', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_messaging/send/v2_4/interface',
		'getMessageDeliveryStatus', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_messaging/receive/v2_4/interface',
		'Multimedia Messaging', 1, 'Parlay X Multimedia Messaging Receive Service',
		SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_messaging/receive/v2_4/interface',
		'getReceivedMessages', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_messaging/receive/v2_4/interface',
		'getMessageURIs', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_messaging/receive/v2_4/interface',
		'getMessage', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_messaging/notification/v2_4/interface',
		'Multimedia Messaging', 1, 'Parlay X Multimedia Messaging Notification Service',
		SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_messaging/notification/v2_4/interface',
		'notifyMessageReception', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_messaging/notification/v2_4/interface',
		'notifyMessageDeliveryReceipt', 1, '')

	# Initialize Payment
	spm_init.createService(svc_admin, 'Payment',
		'Parlay X', 1, 'Parlay X Payment', SERVICE_GROUP)
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/payment/amount_charging/v2_1/interface',
		'Payment', 1, 'Parlay X Payment Amount Charging Service', SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/payment/amount_charging/v2_1/interface',
		'chargeAmount', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/payment/amount_charging/v2_1/interface',
		'refundAmount', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/payment/reserve_amount_charging/v2_1/interface',
		'Payment', 1, 'Parlay X Payment Reserve Amount Charging Service', SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/payment/reserve_amount_charging/v2_1/interface',
		'reserveAmount', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/payment/reserve_amount_charging/v2_1/interface',
		'reserveAdditionalAmount', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/payment/reserve_amount_charging/v2_1/interface',
		'chargeReservation', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/payment/reserve_amount_charging/v2_1/interface',
		'releaseReservation', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/payment/reserve_volume_charging/v2_2/interface',
		'Payment', 1, 'Parlay X Payment Reserve Volume Charging Service', SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/payment/reserve_volume_charging/v2_2/interface',
		'getAmount', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/payment/reserve_volume_charging/v2_2/interface',
		'reserveVolume', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/payment/reserve_volume_charging/v2_2/interface',
		'reserveAdditionalVolume', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/payment/reserve_volume_charging/v2_2/interface',
		'chargeReservation', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/payment/reserve_volume_charging/v2_2/interface',
		'releaseReservation', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/payment/volume_charging/v2_1/interface',
		'Payment', 1, 'Parlay X Payment Volume Charging Service', SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/payment/volume_charging/v2_1/interface',
		'chargeVolume', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/payment/volume_charging/v2_1/interface',
		'getAmount', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/payment/volume_charging/v2_1/interface',
		'refundVolume', 1, '')

	# Initialize Account Management
	spm_init.createService(svc_admin, 'Account Management',
		'Parlay X', 1, 'Parlay X Account Management', SERVICE_GROUP)
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/account_management/v2_2/interface',
		'Account Management', 1, 'Parlay X Account Management Service', SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/account_management/v2_2/interface',
		'getBalance', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/account_management/v2_2/interface',
		'getCreditExpiryDate', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/account_management/v2_2/interface',
		'balanceUpdate', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/account_management/v2_2/interface',
		'voucherUpdate', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/account_management/v2_2/interface',
		'getHistory', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/account_management/v2_2/interface',
		'getBalanceTypes', 1, '')

	# Initialize Terminal Status
	spm_init.createService(svc_admin, 'Terminal Status',
		'Parlay X', 1, 'Parlay X Terminal Status', SERVICE_GROUP)
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_status/v2_2/interface',
		'Terminal Status', 1, 'Parlay X Terminal Status Service', SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_status/v2_2/interface',
		'getStatus', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_status/v2_2/interface',
		'getStatusForGroup', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_status/notification_manager/v2_2/interface',
		'Terminal Status', 1, 'Parlay X Terminal Status Notification Management Service',
		SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_status/notification_manager/v2_2/interface',
		'startNotification', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_status/notification_manager/v2_2/interface',
		'endNotification', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_status/notification/v2_2/interface',
		'Terminal Status', 1, 'Parlay X Terminal Status Notification Service', SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_status/notification/v2_2/interface',
		'statusNotification', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_status/notification/v2_2/interface',
		'statusError', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_status/notification/v2_2/interface',
		'statusEnd', 1, '')

	# Initialize Terminal Location
	spm_init.createService(svc_admin, 'Terminal Location',
		'Parlay X', 1, 'Parlay X Terminal Location', SERVICE_GROUP)
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_location/v2_2/interface',
		'Terminal Location', 1, 'Parlay X Terminal Location Service', SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_location/v2_2/interface',
		'getLocation', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_location/v2_2/interface',
		'getTerminalDistance', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_location/v2_2/interface',
		'getLocationForGroup', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_location/notification_manager/v2_3/interface',
		'Terminal Location', 1, 'Parlay X Terminal Location Notification Management Service',
		SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_location/notification_manager/v2_3/interface',
		'startGeographicalNotification', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_location/notification_manager/v2_3/interface',
		'startPeriodicNotification', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_location/notification_manager/v2_3/interface',
		'endNotification', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_location/notification/v2_2/interface',
		'Terminal Location', 1, 'Parlay X Terminal Location Notification Service', SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_location/notification/v2_2/interface',
		'locationNotification', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_location/notification/v2_2/interface',
		'locationError', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/terminal_location/notification/v2_2/interface',
		'locationEnd', 1, '')

	# Initialize Call Handling
	spm_init.createService(svc_admin, 'Call Handling',
		'Parlay X', 1, 'Parlay X Call Handling', SERVICE_GROUP)
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_handling/v2_3/interface',
		'Call Handling', 1, 'Parlay X Call Handling Service', SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_handling/v2_3/interface',
		'setRules', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_handling/v2_3/interface',
		'setRulesForGroup', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_handling/v2_3/interface',
		'getRules', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/call_handling/v2_3/interface',
		'clearRules', 1, '')

	# Initialize Audio Call
	spm_init.createService(svc_admin, 'Audio Call',
		'Parlay X', 1, 'Parlay X Audio Call', SERVICE_GROUP)
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/audio_call/v2_1/interface',
		'Audio Call', 1, 'Parlay X Audio Call Service', SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/audio_call/v2_1/interface',
		'playTextMessage', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/audio_call/v2_1/interface',
		'playAudioMessage', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/audio_call/v2_1/interface',
		'playVoiceXmlMessage', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/audio_call/v2_1/interface',
		'getMessageStatus', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/audio_call/v2_1/interface',
		'endMessage', 1, '')

	# Initialize Multimedia Conference
	spm_init.createService(svc_admin, 'Multimedia Conference',
		'Parlay X', 1, 'Parlay X Multimedia Conference', SERVICE_GROUP)
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_conference/v2_1/interface',
		'Multimedia Conference', 1, 'Parlay X Multimedia Conference Service',
		SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_conference/v2_1/interface',
		'createConference', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_conference/v2_1/interface',
		'getConferenceInfo', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_conference/v2_1/interface',
		'endConference', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_conference/v2_1/interface',
		'inviteParticipant', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_conference/v2_1/interface',
		'disconnectParticipant', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_conference/v2_1/interface',
		'getParticipantInfo', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_conference/v2_1/interface',
		'getParticipants', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_conference/v2_1/interface',
		'addMediaForParticipant', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/multimedia_conference/v2_1/interface',
		'deleteMediaForParticipant', 1, '')

	# Initialize Address List Management
	spm_init.createService(svc_admin, 'Address List Management',
		'Parlay X', 1, 'Parlay X Address List Management', SERVICE_GROUP)
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group_mgmt/v2_1/interface',
		'Address List Management', 1,
		'Parlay X Address List Management Group Management Service',
		SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group_mgmt/v2_1/interface',
		'createGroup', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group_mgmt/v2_1/interface',
		'deleteGroup', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group_mgmt/v2_1/interface',
		'queryGroups', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group_mgmt/v2_1/interface',
		'setAccess', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group_mgmt/v2_1/interface',
		'queryAccess', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group/v2_1/interface',
		'Address List Management', 1,
		'Parlay X Address List Management Group Membership Service',
		SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group/v2_1/interface',
		'addMember', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group/v2_1/interface',
		'addMembers', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group/v2_1/interface',
		'deleteMember', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group/v2_1/interface',
		'deleteMembers', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group/v2_1/interface',
		'queryMembers', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group/v2_1/interface',
		'addGroupAttribute', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group/v2_1/interface',
		'deleteGroupAttribute', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group/v2_1/interface',
		'queryGroupAttributes', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group/v2_1/interface',
		'addGroupMemberAttribute', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group/v2_1/interface',
		'deleteGroupMemberAttribute', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group/v2_1/interface',
		'queryGroupMemberAttributes', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group_member/v2_1/interface',
		'Address List Management', 1,
		'Parlay X Address List Management Group Member Management Service',
		SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group_member/v2_1/interface',
		'addMemberAttribute', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group_member/v2_1/interface',
		'queryMemberAttributes', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/group_member/v2_1/interface',
		'deleteMemberAttribute', 1, '')

	# Initialize Presence
	spm_init.createService(svc_admin, 'Presence',
		'Parlay X', 1, 'Parlay X Presence', SERVICE_GROUP)
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/presence/consumer/v2_3/interface',
		'Presence', 1, 'Parlay X Presence Consumer Service', SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/presence/consumer/v2_3/interface',
		'subscribePresence', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/presence/consumer/v2_3/interface',
		'getUserPresence', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/presence/consumer/v2_3/interface',
		'startPresenceNotification', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/presence/consumer/v2_3/interface',
		'endPresenceNotification', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/presence/supplier/v2_3/interface',
		'Presence', 1, 'Parlay X Presence Supplier Service', SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/presence/supplier/v2_3/interface',
		'publish', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/presence/supplier/v2_3/interface',
		'getOpenSubscriptions', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/presence/supplier/v2_3/interface',
		'updateSubscriptionAuthorization', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/presence/supplier/v2_3/interface',
		'getMyWatchers', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/presence/supplier/v2_3/interface',
		'getSubscribedAttributes', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/presence/supplier/v2_3/interface',
		'blockSubscription', 1, '')
	spm_init.createService(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/presence/notification/v2_3/interface',
		'Presence', 1, 'Parlay X Presence Notification Service', SERVICE)
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/presence/notification/v2_3/interface',
		'statusChanged', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/presence/notification/v2_3/interface',
		'statusEnd', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/presence/notification/v2_3/interface',
		'notifySubscription', 1, '')
	spm_init.createOperation(svc_admin,
		'http://www.csapi.org/wsdl/parlayx/presence/notification/v2_3/interface',
		'subscriptionEnded', 1, '')
                
        return "SUCCESS"

if __name__ == 'main':
   configurePolicies()
