#   begin_generated_IBM_prolog
#
#   prolog.pro.samp.telcosp
#   ******************************************************************
#   IBM Sample Source Materials
#
#   Sample source materials are supplied As-Is.
#   No warranty is expressed or implied.
#
#   Product(s): 5724-O05 soa
#
#   (C)Copyright IBM Corp. 2006, 2008
#
#   The source code for this program supplied under the terms of the
#   End User License Agreement (EULA) that accompanied this product.
#   ******************************************************************
#
#   end_generated_IBM_prolog

import sys.argv
import getopt
from com.ibm.twss.spm.admin.common import ScopedPolicy
from com.ibm.twss.spm.admin.common import PolicyValue
from java.util import Properties

from pytwss.mbean import spm_init, mbean_utils
from pytwss.utils import _, log

NM_SERVICE = 'http://www.csapi.org/wsdl/parlayx/terminal_location/notification_manager/v2_3/interface'
NI_SERVICE = 'http://www.csapi.org/wsdl/parlayx/terminal_location/notification/v2_2/interface'
TL_SERVICE = 'http://www.csapi.org/wsdl/parlayx/terminal_location/v2_2/interface'
SVC_GROUP = 'Terminal Location'
SERVICE_IMPL = 'PX21_TL_MLP'
NM_IMPL = 'PX21_TL_MLP_NM'
NI_IMPL = 'PX21_TL_MLP_NI'
TL_IMPL = 'PX21_TL_MLP_TL'

def configurePolicies(response_properties, deploy_info):
	req_scope = 'ALL'
	svc_scope = SVC_GROUP
	op_scope = 'ALL'

	log(_("SOAC7520I") %{ '1' : SERVICE_IMPL })

	svc_admin = spm_init.ServiceAdministration()
	policy_admin = spm_init.PolicyAdministration()
	type_admin = spm_init.TypeAdministration()

	spm_init.registerServiceImplementation(
		svc_admin, NM_SERVICE, NM_IMPL, 1,
		'Parlay X 2.1 Terminal Location Notification Management MLP Service')
	spm_init.registerServiceImplementation(
		svc_admin, NI_SERVICE, NI_IMPL, 1,
		'Parlay X 2.1 Terminal Location Notification MLP Service')
	spm_init.registerServiceImplementation(
		svc_admin, TL_SERVICE, TL_IMPL, 1,
		'Parlay X 2.1 Terminal Location MLP Service')

        sp_root_url = response_properties.get("ServicePlatformRootURL")

	# Register custom types for this service
	#spm_init.registerPolicyType(type_admin, 'MLPPriority',
	 #   1, '(NORMAL)|(HIGH)', 0, 'MLP priority values')
	#spm_init.registerPolicyType(type_admin, 'ParlayXDelayTolerance',
	 #   1, '(NoDelay)|(LowDelay)|(DelayTolerant)', 0,
	  #  'Parlay X priority values')

	# Policies common to the general service scope
	common_policies = [
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.transaction.monitoring.StateTransitionWarningPeriod',
			value=PolicyValue(
				value='30',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.location.AltitudeRequested',
			value=PolicyValue(
				value='false',
				type='Boolean'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.location.LocationPriority',
			value=PolicyValue(
				value='NORMAL',
				type='String'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.location.LocationType',
			value=PolicyValue(
				value='CURRENT',
				type='String'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.standard.location.MinimumAcceptableAccuracy',
			value=PolicyValue(
				value='100',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.standard.location.MinimumAccuracy',
			value=PolicyValue(
				value='100',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation=op_scope,
			name='service.Endpoint',
			value=PolicyValue(
				value=sp_root_url + "/TWSS/ParlayX21/TerminalLocation/MLP/services/TerminalLocationNotificationManager",
				type='String'
			),
		),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=NI_IMPL,
		#	operation=op_scope,
		#	name='service.Endpoint',
		#	value=PolicyValue(
		#		value=sp_root_url + "/TWSS/ParlayX21/TerminalLocation/MLP/services/TerminalLocationNotification",
		#		type='String'
		#	),
		#),	
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=TL_IMPL,
			operation=op_scope,
			name='service.Endpoint',
			value=PolicyValue(
				value=sp_root_url + "/TWSS/ParlayX21/TerminalLocation/MLP/services/TerminalLocation",
				type='String'
			),
		),
	]
	spm_init.createPolicies(policy_admin, common_policies)

	# Get location specific policies
	location_policies = [
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=TL_IMPL,
			operation=op_scope,
			name='service.config.location.RequestedAccuracy',
			value=PolicyValue(
				value='65536',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=TL_IMPL,
			operation=op_scope,
			name='service.config.location.AcceptableAccuracy',
			value=PolicyValue(
				value='65536',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=TL_IMPL,
			operation=op_scope,
			name='service.config.location.MaximumAge',
			value=PolicyValue(
				value='0',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=TL_IMPL,
			operation=op_scope,
			name='service.config.ResponseTime',
			value=PolicyValue(
				value='0',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=TL_IMPL,
			operation=op_scope,
			name='service.config.MaximumTargets',
			value=PolicyValue(
				value='5',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=TL_IMPL,
			operation=op_scope,
			name='service.config.DelayTolerance',
			value=PolicyValue(
				value='DelayTolerant',
				type='String'
			)
		)
	]
	spm_init.createPolicies(policy_admin, location_policies)

	# Notification Management policies
	notify_policies = [
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation=op_scope,
			name='service.standard.MaximumNotificationDuration',
			value=PolicyValue(
				value='3600000', # 1 hour
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation=op_scope,
			name='service.standard.MaximumNotificationFrequency',
			value=PolicyValue(
				value='60000', # 1 minute
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation=op_scope,
			name='service.standard.UnlimitedCountAllowed',
			value=PolicyValue(
				value='true',
				type='Boolean'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation=op_scope,
			name='service.standard.MaximumNotificationCount',
			value=PolicyValue(
				value='10',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation=op_scope,
			name='service.standard.location.MinimumTrackingAccuracy',
			value=PolicyValue(
				value='100',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation=op_scope,
			name='service.standard.location.MinimumRequestedAccuracy',
			value=PolicyValue(
				value='100',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation=op_scope,
			name='service.standard.location.GeographicalNotificationAvailable',
			value=PolicyValue(
				value='true',
				type='Boolean'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation=op_scope,
			name='service.standard.PeriodicNotificationAvailable',
			value=PolicyValue(
				value='true',
				type='Boolean'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation=op_scope,
			name='service.standard.MaximumNotificationAddresses',
			value=PolicyValue(
				value='5',
				type='Numeric'
			)
		)
	]
	spm_init.createPolicies(policy_admin, notify_policies)

	log(_("SOAC7521I") %{ '1' : SERVICE_IMPL })
        
        return "SUCCESS"

if __name__ == 'main':
   if len(sys.argv) > 0:
      sp_path = sys.argv[0]
   else:
      sp_path = "http://localhost:9080/"
   p = Properties()
   p.put("ServicePlatformRootURL", sp_path)
   configurePolicies(p, None)
