#   begin_generated_IBM_prolog
#
#   prolog.pro.samp.telcosp
#   ******************************************************************
#   IBM Sample Source Materials
#
#   Sample source materials are supplied As-Is.
#   No warranty is expressed or implied.
#
#   Product(s): 5724-O05 soa
#
#   (C)Copyright IBM Corp. 2006, 2008
#
#   The source code for this program supplied under the terms of the
#   End User License Agreement (EULA) that accompanied this product.
#   ******************************************************************
#
#   end_generated_IBM_prolog

import sys.argv
import getopt
from com.ibm.twss.spm.admin.common import ScopedPolicy
from com.ibm.twss.spm.admin.common import PolicyValue
from java.util import Properties

from pytwss.mbean import spm_init, mbean_utils
from pytwss.utils import _, log

NM_SERVICE = 'http://www.csapi.org/wsdl/parlayx/terminal_location/notification_manager/v2_3/interface'
NI_SERVICE = 'http://www.csapi.org/wsdl/parlayx/terminal_location/notification/v2_2/interface'
TL_SERVICE = 'http://www.csapi.org/wsdl/parlayx/terminal_location/v2_2/interface'
SVC_GROUP = 'Terminal Location'
SERVICE_IMPL = 'PX21_TL_PARLAY'
NM_IMPL = 'PX21_TL_PARLAY_NM'
NI_IMPL = 'PX21_TL_PARLAY_NI'
TL_IMPL = 'PX21_TL_PARLAY_TL'

def configurePolicies(response_properties, deploy_info):
	req_scope = 'ALL'
	svc_scope = SVC_GROUP
	op_scope = 'ALL'

	log(_("SOAC7520I") %{ '1' : SERVICE_IMPL })

	svc_admin = spm_init.ServiceAdministration()
	policy_admin = spm_init.PolicyAdministration()
	type_admin = spm_init.TypeAdministration()

	spm_init.registerServiceImplementation(
		svc_admin, NM_SERVICE, NM_IMPL, 1,
		'Parlay X 2.1 Terminal Location Notification Management Parlay Service')
	spm_init.registerServiceImplementation(
		svc_admin, NI_SERVICE, NI_IMPL, 1,
		'Parlay X 2.1 Terminal Location Notification Parlay Service')
	spm_init.registerServiceImplementation(
		svc_admin, TL_SERVICE, TL_IMPL, 1,
		'Parlay X 2.1 Terminal Location Parlay Service')

	# Register custom types for this service
	spm_init.registerPolicyType(type_admin, 'ParlayPriority',
	    1, '(P_M_NORMAL)|(P_M_HIGH)', 0, 'Parlay priority values')
	spm_init.registerPolicyType(type_admin, 'ParlayXDelayTolerance',
	    1, '(NoDelay)|(LowDelay)|(DelayTolerant)', 0,
	    'Parlay X priority values')

        sp_root_url = response_properties.get("ServicePlatformRootURL")

	# Policies common to the general service scope
	common_policies = [
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.pacing.WaitPeriod',
			value=PolicyValue(
				value='5',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.CallLevelPrivacy',
			value=PolicyValue(
				value='false',
				type='Boolean'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.ProcessUpToLimit',
			value=PolicyValue(
				value='false',
				type='Boolean'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.transaction.monitoring.StateTransitionAlarmPeriod',
			value=PolicyValue(
				value='30',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.transaction.monitoring.StateTransitionWarningPeriod',
			value=PolicyValue(
				value='30',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.pacing.PacingEnabled',
			value=PolicyValue(
				value='false',
				type='Boolean'
			)
		),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=svc_scope,
		#	operation=op_scope,
		#	name='service.config.target.Ranges',
		#	value=PolicyValue(
		#		value='<someval>',
		#		type='String'
		#	)
		#),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=svc_scope,
		#	operation=op_scope,
		#	name='service.config.target.Aliases',
		#	value=PolicyValue(
		#		value='<someval>',
		#		type='String'
		#	)
		#),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.location.AltitudeRequested',
			value=PolicyValue(
				value='false',
				type='Boolean'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.location.AltitudeSometimesAvailable',
			value=PolicyValue(
				value='false',
				type='Boolean'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.standard.location.AltitudeAlwaysAvailable',
			value=PolicyValue(
				value='false',
				type='Boolean'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.config.location.LocationPriority',
			value=PolicyValue(
				value='P_M_NORMAL',
				type='ParlayPriority'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.standard.location.MinimumAcceptableAccuracy',
			value=PolicyValue(
				value='50',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=svc_scope,
			operation=op_scope,
			name='service.standard.location.MinimumAccuracy',
			value=PolicyValue(
				value='50',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation=op_scope,
			name='service.Endpoint',
			value=PolicyValue(
				value=sp_root_url + "/TWSS/ParlayX21/TerminalLocation/Parlay/services/TerminalLocationNotificationManager",
				type='String'
			),
		),
		#ScopedPolicy(
		#	requesterIdentifier=req_scope,
		#	serviceIdentifier=NI_IMPL,
		#	operation=op_scope,
		#	name='service.Endpoint',
		#	value=PolicyValue(
		#		value=sp_root_url + "/TWSS/ParlayX21/TerminalLocation/Parlay/services/TerminalLocationNotification",
		#		type='String'
		#	),
		#),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=TL_IMPL,
			operation=op_scope,
			name='service.Endpoint',
			value=PolicyValue(
				value=sp_root_url + "/TWSS/ParlayX21/TerminalLocation/Parlay/services/TerminalLocation",
				type='String'
			),
		),
	]
	spm_init.createPolicies(policy_admin, common_policies)

	# Get location specific policies
	location_policies = [
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=TL_IMPL,
			operation='getLocation',
			name='service.config.location.RequestedAccuracy',
			value=PolicyValue(
				value='65536',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=TL_IMPL,
			operation='getLocation',
			name='service.config.location.AcceptableAccuracy',
			value=PolicyValue(
				value='65536',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=TL_IMPL,
			operation='getLocation',
			name='service.config.location.MaximumAge',
			value=PolicyValue(
				value='0',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=TL_IMPL,
			operation='getLocation',
			name='service.config.ResponseTime',
			value=PolicyValue(
				value='0',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=TL_IMPL,
			operation='getLocation',
			name='service.config.DelayTolerance',
			value=PolicyValue(
				value='DelayTolerant',
				type='ParlayXDelayTolerance'
			)
		),
	]
	spm_init.createPolicies(policy_admin, location_policies)

	# Notification management policies
	notify_policies = [
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation='ALL',
			name='service.standard.MaximumNotificationDuration',
			value=PolicyValue(
				value='3600000', # 1 hour
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation='ALL',
			name='service.standard.MaximumNotificationFrequency',
			value=PolicyValue(
				value='60000', # 1 minute
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation=op_scope,
			name='service.standard.MaximumNotificationAddresses',
			value=PolicyValue(
				value='5',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation='ALL',
			name='service.standard.UnlimitedCountAllowed',
			value=PolicyValue(
				value='true',
				type='Boolean'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation='ALL',
			name='service.standard.MaximumNotificationCount',
			value=PolicyValue(
				value='10',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation='ALL',
			name='service.standard.location.MinimumTrackingAccuracy',
			value=PolicyValue(
				value='50',
				type='Numeric'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation='ALL',
			name='service.standard.location.GeographicalNotificationAvailable',
			value=PolicyValue(
				value='true',
				type='Boolean'
			)
		),
		ScopedPolicy(
			requesterIdentifier=req_scope,
			serviceIdentifier=NM_IMPL,
			operation='ALL',
			name='service.standard.PeriodicNotificationAvailable',
			value=PolicyValue(
				value='true',
				type='Boolean'
			)
		),
	]
	spm_init.createPolicies(policy_admin, notify_policies)

	log(_("SOAC7521I") %{ '1' : SERVICE_IMPL })
        
        return "SUCCESS"

if __name__ == 'main':
   if len(sys.argv) > 0:
      sp_path = sys.argv[0]
   else:
      sp_path = "http://localhost:9080/"
   p = Properties()
   p.put("ServicePlatformRootURL", sp_path)
   configurePolicies(p, None)
